Bug 1025972 - Review Request: libsodium - Portable NaCl-based crypto library
Review Request: libsodium - Portable NaCl-based crypto library
Status: CLOSED DUPLICATE of bug 990423
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 12:45 EDT by Jose Pedro Oliveira
Modified: 2013-12-22 16:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 06:52:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2013-11-02 12:45:19 EDT
Spec URL:
http://um-pe09-2.di.uminho.pt/fedora/libsodium.spec

SRPM URL:
http://um-pe09-2.di.uminho.pt/fedora/libsodium-0.4.5-1.fc19.src.rpm

Description:
Sodium is a portable, cross-compilable, installable, packageable crypto
library based on NaCl, with a compatible API

Fedora Account System Username:
jpo
Comment 1 Jose Pedro Oliveira 2013-11-02 12:47:40 EDT
Additional notes:
 * this package is a new requirement of ZeroMQ 4 (and CZMQ 2).
 * target distros: Fedora >= 18 and EPEL6
 * additional maintainers are welcome
Comment 2 Jose Pedro Oliveira 2013-11-02 12:54:58 EDT
BTW, the specfile hack
    ---
    %if 0%{?rhel} == 6
    sed -i 's|_pkg_min_version=0.25|_pkg_min_version=0.23|g' configure
    %endif
    ----
will be dropped for the next upstream release [1].

References:
[1] - Upstream pull request #93 (status: merged)
      https://github.com/jedisct1/libsodium/pull/93
Comment 3 Christopher Meng 2013-11-02 21:46:18 EDT
Have you seen bug 990423?
Comment 4 Jose Pedro Oliveira 2013-11-03 06:52:47 EST
No. Missed it when I skimmed over the pending list of review request tickets.

*** This bug has been marked as a duplicate of bug 990423 ***
Comment 5 Mario Blättermann 2013-11-03 06:54:03 EST
(In reply to Christopher Meng from comment #3)
> Have you seen bug 990423?

Unfortunately, your ticket doesn't appear in http://fedoraproject.org/PackageReviewStatus/NEW.html because you have too many package submitted, and there appear are only the oldest ones. This was the reason probably that Jose hadn't noticed it.
Comment 6 Thomas Spura 2013-12-20 02:44:00 EST
(In reply to Jose Pedro Oliveira from comment #1)
> Additional notes:
>  * this package is a new requirement of ZeroMQ 4 (and CZMQ 2).
>  * target distros: Fedora >= 18 and EPEL6
>  * additional maintainers are welcome

Are you already working on zeromq4? The tests fail for me in rpmbuild, but all is fine, when running locally...
Comment 7 Jose Pedro Oliveira 2013-12-22 16:33:15 EST
(In reply to Thomas Spura from comment #6)
> (In reply to Jose Pedro Oliveira from comment #1)
> > Additional notes:
> >  * this package is a new requirement of ZeroMQ 4 (and CZMQ 2).
> >  * target distros: Fedora >= 18 and EPEL6
> >  * additional maintainers are welcome
> 
> Are you already working on zeromq4? The tests fail for me in rpmbuild, but
> all is fine, when running locally...

Thomas,

Yes but still needs work. I've just opened a tracking ticket for the update:
https://bugzilla.redhat.com/show_bug.cgi?id=1045884

jpo

Note You need to log in before you can comment on or make changes to this bug.